View
curl --request GET \
--url https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/client-presentations/{presentationId}/versions/{n}/viewimport requests
url = "https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/client-presentations/{presentationId}/versions/{n}/view"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/client-presentations/{presentationId}/versions/{n}/view', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/client-presentations/{presentationId}/versions/{n}/view",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/client-presentations/{presentationId}/versions/{n}/view"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/client-presentations/{presentationId}/versions/{n}/view")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/client-presentations/{presentationId}/versions/{n}/view")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"layout": "template",
"sections": [
{}
],
"slides": {},
"outcome": "awaiting",
"n": 123,
"sharedAt": "<string>",
"items": [
{
"outcome": "accepted",
"alternatives": [
{
"inStock": true,
"id": "<string>",
"name": "<string>",
"vendor": "<string>",
"finish": "<string>",
"dimensions": "<string>",
"leadTime": "<string>",
"imageUrl": "<string>",
"price": "<string>"
}
],
"answers": [
{
"decision": "accepted",
"optionComments": {},
"userId": "<string>",
"name": "<string>",
"email": "<string>",
"alternativeId": "<string>",
"comment": "<string>",
"submittedAt": "<string>",
"source": "offline",
"attestorId": "<string>",
"carriedFromVersion": 123,
"carriedSubmittedAt": "<string>"
}
],
"slotId": "<string>",
"refNumber": "<string>",
"name": "<string>",
"imageUrl": "<string>",
"manufacturer": "<string>",
"area": "<string>",
"quantity": "<string>",
"finish": "<string>",
"dimensions": "<string>",
"unitPrice": "<string>",
"extraQuantity": "<string>",
"quantityUnit": "<string>",
"purchasingUnit": "packages",
"unitsPerPackage": "<string>",
"areaQuantities": [
{
"areaId": "<string>",
"quantity": "<string>",
"roomCount": 123,
"roomsDiffer": true,
"areaTotal": "<string>"
}
],
"sourceItemId": "<string>",
"displayFields": {},
"currency": "<string>",
"subtotal": "<string>",
"taxRate": "<string>",
"taxLabel": "<string>",
"taxAmount": "<string>",
"total": "<string>",
"previousUnitPrice": "<string>",
"priceDelta": "<string>"
}
],
"recipients": [
{
"userId": "<string>",
"email": "<string>",
"name": "<string>",
"reviewStatus": "in_progress",
"lastViewedAt": "<string>",
"submittedAt": "<string>",
"accessRevoked": true
}
],
"theme": {},
"locale": "<string>",
"name": "<string>",
"message": "<string>",
"parties": {
"client": {
"name": "<string>",
"address": "<string>"
},
"studio": {
"name": "<string>",
"legalName": "<string>",
"address": "<string>",
"logoUrl": "<string>"
}
},
"projectName": "<string>",
"projectNumber": "<string>",
"currency": "<string>",
"contentHash": "<string>",
"signerBindings": [
{}
]
}Client Presentations
View
GET
/
v1
/
workspaces
/
{workspaceId}
/
projects
/
{projectId}
/
client-presentations
/
{presentationId}
/
versions
/
{n}
/
view
View
curl --request GET \
--url https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/client-presentations/{presentationId}/versions/{n}/viewimport requests
url = "https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/client-presentations/{presentationId}/versions/{n}/view"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/client-presentations/{presentationId}/versions/{n}/view', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/client-presentations/{presentationId}/versions/{n}/view",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/client-presentations/{presentationId}/versions/{n}/view"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/client-presentations/{presentationId}/versions/{n}/view")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/client-presentations/{presentationId}/versions/{n}/view")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"layout": "template",
"sections": [
{}
],
"slides": {},
"outcome": "awaiting",
"n": 123,
"sharedAt": "<string>",
"items": [
{
"outcome": "accepted",
"alternatives": [
{
"inStock": true,
"id": "<string>",
"name": "<string>",
"vendor": "<string>",
"finish": "<string>",
"dimensions": "<string>",
"leadTime": "<string>",
"imageUrl": "<string>",
"price": "<string>"
}
],
"answers": [
{
"decision": "accepted",
"optionComments": {},
"userId": "<string>",
"name": "<string>",
"email": "<string>",
"alternativeId": "<string>",
"comment": "<string>",
"submittedAt": "<string>",
"source": "offline",
"attestorId": "<string>",
"carriedFromVersion": 123,
"carriedSubmittedAt": "<string>"
}
],
"slotId": "<string>",
"refNumber": "<string>",
"name": "<string>",
"imageUrl": "<string>",
"manufacturer": "<string>",
"area": "<string>",
"quantity": "<string>",
"finish": "<string>",
"dimensions": "<string>",
"unitPrice": "<string>",
"extraQuantity": "<string>",
"quantityUnit": "<string>",
"purchasingUnit": "packages",
"unitsPerPackage": "<string>",
"areaQuantities": [
{
"areaId": "<string>",
"quantity": "<string>",
"roomCount": 123,
"roomsDiffer": true,
"areaTotal": "<string>"
}
],
"sourceItemId": "<string>",
"displayFields": {},
"currency": "<string>",
"subtotal": "<string>",
"taxRate": "<string>",
"taxLabel": "<string>",
"taxAmount": "<string>",
"total": "<string>",
"previousUnitPrice": "<string>",
"priceDelta": "<string>"
}
],
"recipients": [
{
"userId": "<string>",
"email": "<string>",
"name": "<string>",
"reviewStatus": "in_progress",
"lastViewedAt": "<string>",
"submittedAt": "<string>",
"accessRevoked": true
}
],
"theme": {},
"locale": "<string>",
"name": "<string>",
"message": "<string>",
"parties": {
"client": {
"name": "<string>",
"address": "<string>"
},
"studio": {
"name": "<string>",
"legalName": "<string>",
"address": "<string>",
"logoUrl": "<string>"
}
},
"projectName": "<string>",
"projectNumber": "<string>",
"currency": "<string>",
"contentHash": "<string>",
"signerBindings": [
{}
]
}Path Parameters
Response
200 - application/json
⌘I